!23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
!
! Copyright D.J. Jeffery, 2006jan01.
!
! series.f checks series expansions.
!
!   References:
!
!     \bibitem[Mihalas(1978)]{mihalas1978} Mihalas, D. 1978, Stellar Atmospheres
!          (San Francisco:  W. H. Freeman and Company) (Mi)
!          % The radiative transfer bible:  now a bit dated.
!          % p. 79, 111.
!
!     \bibitem[Metcalf et al.(2004)]{metcalf} Metcalf, M., Reid, J., \&~Cohen, M. 2004,
!          Fortran 95/2003 Explained
!          (Oxford:  Oxford University Press) (MRC)
!          % Pretty good reference book.
!
!     \bibitem[Press et al.(1992)]{press1992} Press, W. H., Teukolsky, S. A.,
!          Vetterling, W. T., \& Flannery, B. P. 1992,
!            Numerical Recipes in Fortran
!            (Cambridge:  Cambridge University Press)
!            % Bill should have given me a complimentary copy when
!            % I co-taught with him in 1993!
!            % p. 269--273.
!
!
!-----------------------------------------------------------------------
!
      program conv
      use numerical
      use physical 
      implicit none
!
      integer, parameter :: npoint=20000
!
      real (kind=nprecision) :: fwave(npoint),flux(npoint)
      integer :: i,j,k,l,m,n
      integer :: idata
      real (kind=nprecision) :: v_helio=946.d5   ! From Leda in cm/s.
      real (kind=nprecision) :: x 
      real (kind=nprecision) :: y 
!
      open(unit=1,file='day103_orig.dat',status='old',action='read')
      open(unit=2,file='tmp',status='unknown',action='write')
       call readcopy(1,2,1,' ',idata)
!
       do410 : do i=1,idata
         read(1,*) x,y  
         x=x*(1.d0+v_helio/clight)
         y=y*1.d-26*1.d-8*clight/(x*1.d-8)**2   ! I suppose the unredshifted wavelength.
         write(2,'(f15.4,1p,e20.7)') x,y
       end do do410
!
      close(unit=2)
      close(unit=1)
!
! For converting Turatto's day215.dat
!
!      flux(i)=flux(i)*1.e-15
!
      end program conv
